Page MenuHomePhabricator

Cannot undo Sense addition
Closed, ResolvedPublic8 Story Points

Description

Problem:
Trying to undo a revision which added a new Sense does not work (for example undoing revision 806936938 ). Attempting to undo it or restore its parent revision will appear to succeed, but have no effect.

Acceptance criteria:

  • Sense additions can be undone
  • The parent revision of a Sense addition can be restored
  • Add an undo test for this case in LexemeEditPageTest

Event Timeline

Lydia_Pintscher triaged this task as High priority.Jan 4 2019, 11:51 AM
Lydia_Pintscher moved this task from incoming to consider for next sprint on the Wikidata board.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

I just tested if it works for Forms and there it seems fine. It is indeed broken for Senses.

Lydia_Pintscher renamed this task from Cannot undo sense addition to Cannot undo Sense addition.Jan 6 2019, 5:53 PM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher moved this task from Incoming to Ready to go on the Wikidata-Campsite board.
Addshore updated the task description. (Show Details)Jan 8 2019, 2:52 PM
Restricted Application added a project: User-Addshore. · View Herald TranscriptJan 8 2019, 4:03 PM

Change 482837 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] Add LexemeEditPageTest::testSenseAdditionUndo

https://gerrit.wikimedia.org/r/482837

Change 482843 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] Bug, Make Lexeme::equals actually check senses & test

https://gerrit.wikimedia.org/r/482843

Change 482837 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add LexemeEditPageTest::testSenseAdditionUndo

https://gerrit.wikimedia.org/r/482837

Change 483068 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] Cleanup commented out tests in LexemeSensesMergerTest

https://gerrit.wikimedia.org/r/483068

Change 482843 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Bug, Make Lexeme::equals actually check senses & test

https://gerrit.wikimedia.org/r/482843

Addshore reopened this task as Open.Jan 9 2019, 12:20 PM

I somehow managed to trigger some magical phabricator diffusion stuff there that closed this task automagically......

Change 483068 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Cleanup commented out tests in LexemeSensesMergerTest

https://gerrit.wikimedia.org/r/483068